import { defineStore } from 'pinia';

const useShoppingCartStore = defineStore('shoppingCart', {
  state: () => ({
    list: [],
    total: 0,
    count: 0
  }),
  getters: {
    getList() {
      return this.list;
    },
    getTotal() {
      return this.total;
    },
    getCount() {
      return this.count;
    }
  }
});
